<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-agent-commission-rate-config-heading">Create or edit a Agent Commission Rate Config</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_agentId">Agent Id</label>
                    <input type="text" class="form-control" name="agentId" id="field_agentId"
                           formControlName="agentId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_commissionId">Commission Id</label>
                    <input type="text" class="form-control" name="commissionId" id="field_commissionId"
                           formControlName="commissionId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_start">Start</label>
                    <div class="d-flex">
                        <input id="field_start" type="datetime-local" class="form-control" name="start" formControlName="start" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_end">End</label>
                    <div class="d-flex">
                        <input id="field_end" type="datetime-local" class="form-control" name="end" formControlName="end" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
